org.apache.solr.handler.loader

## Class XMLLoader

- java.lang.Object
- - org.apache.solr.handler.loader.ContentStreamLoader
  - - org.apache.solr.handler.loader.XMLLoader

-     public class XMLLoader
      extends ContentStreamLoader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTEXT_TRANSFORMER_KEY`
    `static int` | `XSLT_CACHE_DEFAULT`

    - ### Fields inherited from class org.apache.solr.handler.loader.ContentStreamLoader

      `pollQueueTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultWT()`
    `XMLLoader` | `init(SolrParams args)` This should be called once for each RequestHandler
    `void` | `load(SolrQueryRequest req, SolrQueryResponse rsp, ContentStream stream, UpdateRequestProcessor processor)` Loaders are responsible for closing the stream
    `SolrInputDocument` | `readDoc(XMLStreamReader parser)` Given the input stream, read a document

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_TRANSFORMER_KEY

          public static final String CONTEXT_TRANSFORMER_KEY

      See Also:
        Constant Field Values

    - #### XSLT_CACHE_DEFAULT

          public static final int XSLT_CACHE_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMLLoader

          public XMLLoader()

  - ### Method Detail

    - #### init

          public XMLLoader init(SolrParams args)

      Description copied from class: `ContentStreamLoader`
      This should be called once for each RequestHandler
      Overrides:
        `init` in class `ContentStreamLoader`

    - #### getDefaultWT

          public String getDefaultWT()

      Overrides:
        `getDefaultWT` in class `ContentStreamLoader`

    - #### load

          public void load(SolrQueryRequest req,
                           SolrQueryResponse rsp,
                           ContentStream stream,
                           UpdateRequestProcessor processor)
                    throws Exception

      Description copied from class: `ContentStreamLoader`
      Loaders are responsible for closing the stream
      Specified by:
        `load` in class `ContentStreamLoader`
      Parameters:
        `req` - The input `SolrQueryRequest`
        `rsp` - The response, in case the Loader wishes to add anything
        `stream` - The `ContentStream` to add
        `processor` - The `UpdateRequestProcessor` to use
      Throws:
        `Exception`

    - #### readDoc

          public SolrInputDocument readDoc(XMLStreamReader parser)
                                    throws XMLStreamException

      Given the input stream, read a document
      Throws:
        `XMLStreamException`
      Since:
        solr 1.3

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.